<template>
  <v-card
    :link="clickable"
    :disabled="disabled"
    rounded="lg"
    @click="clickable && $emit('click')"
    :variant="variant"
  >
    <template #default>
      <slot />
    </template>
  </v-card>
</template>

<script setup>
const props = defineProps({
  variant: {
    type: String,
    default: 'outlined',
  },
  clickable: {
    type: Boolean,
    default: true,
  },
  disabled: {
    type: Boolean,
    default: false
  },
});
</script>
